Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005792 [JEDI VCL] 00 JVCL Components minor always 2012-02-13 12:26 2012-09-10 14:15
Reporter RHoek View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.45
Summary 0005792: Whe using TJvRichEdit, URL detection fails when using Text property and no Text is set at design time
Description When no Text (Lines property) is set at designtime and one sets the Text property with an URL inside is, the URL will not be detected.
This probably has to do, with the way the Text property directly set the 'text' of the RichEdit control before the URLSCAN flag is set (using SendMessage).

Code to try:

Fails: JvRichEdit1.Text := 'http://my.url.com' [^]

Works: JvRichEdit1.Lines.Text := 'http://my.url.com' [^]
Additional Information
Tags No tags attached.
Attached Files zip file icon Test JVCL Richedit URL bug.zip [^] (89,648 bytes) 2012-02-22 17:05

- Relationships

-  Notes
(0019403)
RHoek (reporter)
2012-02-13 12:27

I'm setting the 'Text' property in the 'FormCreate' event!
(0019465)
obones (administrator)
2012-02-22 15:11

Please provide the zipped sources of a sample application showing this
(0019477)
RHoek (reporter)
2012-02-22 17:05

Sample project has been added!
(0019932)
obones (administrator)
2012-06-12 16:38

This is now fixed in SVN

- Issue History
Date Modified Username Field Change
2012-02-13 12:26 RHoek New Issue
2012-02-13 12:27 RHoek Note Added: 0019403
2012-02-22 15:11 obones Note Added: 0019465
2012-02-22 15:11 obones Status new => feedback
2012-02-22 17:05 RHoek File Added: Test JVCL Richedit URL bug.zip
2012-02-22 17:05 RHoek Note Added: 0019477
2012-06-11 17:44 obones Status feedback => acknowledged
2012-06-12 16:38 obones Note Added: 0019932
2012-06-12 16:38 obones Status acknowledged => resolved
2012-06-12 16:38 obones Fixed in Version => Daily / SVN
2012-06-12 16:38 obones Resolution open => fixed
2012-06-12 16:38 obones Assigned To => obones
2012-09-10 14:15 obones Fixed in Version Daily / SVN => 3.46


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker